import os
from typing import Any
import yaml
import logging.config
from api import root

with open(os.path.join(os.getcwd(),'configs/logging.yaml'), 'rt') as f:
    config: Any = yaml.safe_load(f.read())
logging.config.dictConfig(config)
log: logging.Logger = logging.getLogger('development')


log.info("Starting HTTP Server.")
root.run_server()